@Echo off
Echo ++++++++++++++++++++++++++++++++++++++++++++++++
Echo +        CmdNET v1.0  2000 JPSoft DK          +
Echo +  support@jpsoft.dk - http://www.jpsoft.dk    +
Echo +                                              +
Echo + CmdNET is FREEWARE and used at your own risk +
Echo ++++++++++++++++++++++++++++++++++++++++++++++++
Echo.
Echo Press any key to see CmdNET in action
Pause > nul
Echo.

REM Displays local ip address
:Local_IP
  Echo Local IP:
  Echo --------- 
  CmdNET /l
  Echo.
  If ERRORLEVEL 1 Goto NO_LocalIP
REM Displays public/WAN ip address
:Public_IP
  Echo Public/WAN IP:
  Echo -------------- 
  CmdNET /p
  Echo.
  If ERRORLEVEL 1 Goto NO_PublicIP
REM Displays MAC address of NIC
:MAC
  Echo MAC address of NIC:
  Echo -------------------
  CmdNET /m
  Echo.
  if ERRORLEVEL 1 Goto NO_MAC
  Goto Done
:NO_LocalIP
  Echo unable to resolve local ip address
  Echo.
  Goto Public_IP
:NO_PublicIP
  Echo unable to resolve local ip address
  Echo.
  Goto MAC
:NO_MAC
  Echo Unable to resolve MAC address of NIC
  Echo.
:Done
  Echo Done...
  Echo.

Echo Now press any key to write all info to the file Test.txt
Pause > nul
CmdNET /fTest.txt /l /p /m
If ERRORLEVEL 1 Goto File_ERROR
Echo.
Echo OK! All info written to Test.txt
Goto TheEnd
:File_ERROR
  Echo.
  Echo Unable to write to Test.txt
:TheEnd




